RUN_INIT(8)

NAME
run_init - run an init script in the proper SELinux context

SYNOPSIS
run_init SCRIPT [[ARGS]...]

DESCRIPTION

Run a init script under the proper context, which is specified in /etc/selinux/POLICYTYPE/contexts/initrc_context. It is generally used interactively as it requires either shadow or PAM user authentication (depending on compile-time options). It should be possible to configure PAM such that interactive input is not required. Check your PAM documentation.

FILES
/etc/passwd - user account information
/etc/shadow - encrypted passwords and age information
/etc/selinux/POLICYTYPE/contexts/initrc_context - contains the context to run init scripts under

SEE ALSO
newrole(1), runcon(1)

AUTHORS
Wayne Salamon (wsalamon@tislabs.com)
Dan Walsh (dwalsh@redhat.com)